statistics-0.10.2.0: A library of statistical types, data, and functions

Portability | portable
Stability | experimental
Maintainer | bos@serpentine.com
Safe Haskell | None

Statistics.Distribution.Geometric

Contents

- Constructors
  - Accessors

Description

The Geometric distribution. This is the probability distribution of the number of Bernoulli trials needed to get one success, supported on the set [1,2..].

This distribution is sometimes referred to as the shifted geometric distribution, to distinguish it from a variant measuring the number of failures before the first success, defined over the set [0,1..].

Synopsis

- data GeometricDistribution
- geometric :: Double -> GeometricDistribution
- gdSuccess :: GeometricDistribution -> Double

# Documentation

data GeometricDistribution Source

Instances

Eq GeometricDistribution |
Read GeometricDistribution |
Show GeometricDistribution |
Typeable GeometricDistribution |
Variance GeometricDistribution |
MaybeVariance GeometricDistribution |
Mean GeometricDistribution |
MaybeMean GeometricDistribution |
DiscreteDistr GeometricDistribution |
Distribution GeometricDistribution |

# Constructors

geometric Source

Arguments

:: Double | Success rate
-> GeometricDistribution |

Create geometric distribution.

## Accessors

gdSuccess :: GeometricDistribution -> Double Source